Package com.google.android.exoplayer2.metadata

## Interface MetadataDecoderFactory

-     public interface MetadataDecoderFactory

  A factory for `MetadataDecoder` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MetadataDecoderFactory` | `DEFAULT` | Default `MetadataDecoder` implementation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MetadataDecoder` | `createDecoder​(Format format)` | Creates a `MetadataDecoder` for the given `Format`.
    `boolean` | `supportsFormat​(Format format)` | Returns whether the factory is able to instantiate a `MetadataDecoder` for the given `Format`.

- - ### Field Detail

    - #### DEFAULT

          static final MetadataDecoderFactory DEFAULT

      Default `MetadataDecoder` implementation.

      The formats supported by this factory are:

      - ID3 (`Id3Decoder`)
      - EMSG (`EventMessageDecoder`)
      - SCTE-35 (`SpliceInfoDecoder`)
      - ICY (`IcyDecoder`)

  - ### Method Detail

    - #### supportsFormat

          boolean supportsFormat​(Format format)

      Returns whether the factory is able to instantiate a `MetadataDecoder` for the given `Format`.
      Parameters:
        `format` - The `Format`.
      Returns:
        Whether the factory can instantiate a suitable `MetadataDecoder`.

    - #### createDecoder

          MetadataDecoder createDecoder​(Format format)

      Creates a `MetadataDecoder` for the given `Format`.
      Parameters:
        `format` - The `Format`.
      Returns:
        A new `MetadataDecoder`.
      Throws:
        `IllegalArgumentException` - If the `Format` is not supported.